routes/web.php
<?php

use App\Http\Controllers\PhraseController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::middleware('lang-switcher')->group(function(){
    Route::get('/', [PhraseController::class, 'index'])->name('home');
    Route::resource('phrases', PhraseController::class);

    Auth::routes();

    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index']);
    Route::get('lang/{locale}', [\App\Http\Controllers\LangSwitchController::class, 'switcher'])
        ->name('lang.switcher')
        ->where('locale', 'en|ru');
});

app/Models/AbstractModel.php
<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * Class AbstractModel
 * @package App\Models
 *
 * @property int id
 * @property Carbon created_at
 * @property Carbon updated_at
 */
abstract class AbstractModel extends Model
{
    use HasFactory;
}

app/Models/Phrase.php
<?php

namespace App\Models;


use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;

class Phrase extends AbstractModel implements TranslatableContract
{
    use Translatable;

    protected $fillable = ['user_id', 'general'];

    public $translatedAttributes = ['word'];
}

app/Models/PhraseTranslation.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PhraseTranslation extends Model
{

    public $timestamps = false;
    protected $fillable = ['word'];
}

app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'password' => 'hashed',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/LangSwitchController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class LangSwitchController extends Controller
{
    public function switcher(Request $request, string $locale)
    {
        $request->session()->put('locale', $locale);
        return back();
    }
}

app/Http/Controllers/PhraseController.php
<?php

namespace App\Http\Controllers;

use App\Models\Phrase;
use Astrotomic\Translatable\Validation\RuleFactory;
use Illuminate\Http\Request;

class PhraseController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $phrases = Phrase::all();
        $local = app()->getLocale();
        return view('phrases.index', compact('local', 'phrases'));
    }


    public function store(Request $request)
    {
        $validated = $request->validate([
            'general' => 'required|min:3|max:255|regex:#^[а-яё\s]+$#iu',
        ]);
        $validated['user_id'] = auth()->user()->id;
        $validated['ru'] = ['word' => $validated['general'] ];
        Phrase::create($validated);
        return redirect()->route('home');
    }

    /**
     * Display the specified resource.
     */
    public function show(Phrase $phrase)
    {
        return view('phrases.show', compact('phrase'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Phrase $phrase)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Phrase $phrase)
    {
        $this->authorize('create-phrase');
        $validated = $request->validate([
            'en' => 'max:255',
            'kg' => 'max:255',
            'tr' => 'max:255',
            'de' => 'max:255',
            'es' => 'max:255',
        ]);

    $phrase->update($validated);
        return redirect()->route('home');
    }

}

app/View/Components/LangSwitcherComponent.php
<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class LangSwitcherComponent extends Component
{
    public string $locale;

    public array $locales  = [
        'ru',
        'en'
    ];

    /**
     * Create a new component instance.
     */
    public function __construct()
    {
        $this->locale = session()->get('locale', config('app.locale', 'en'));
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.lang-switcher-component');
    }

    public function selected(string $local): string
    {
        if ($local === $this->locale)return 'selected';
        return '';
    }
}

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    {{ __('You are logged in!') }}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=Nunito" rel="stylesheet">

    <!-- Scripts -->
    @vite(['resources/sass/app.scss', 'resources/js/app.js'])
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <x-lang-switcher-component></x-lang-switcher-component>
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container">
            <main class="py-4">
                @yield('content')
            </main>
        </div>
    </div>
</body>
</html>

resources/views/notifications/alerts.blade.php
@if (session('success'))
    <div class="alert alert-success">
        {{ session('success') }}
    </div>
@endif

@if (session('error'))
    <div class="alert alert-danger">
        {{ session('error') }}
    </div>
@endif

@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

resources/views/phrases/index.blade.php
@extends('layouts.app')

@section('content')
    @include('notifications.alerts')
    <h3>{{__("Local is : ").$local}}</h3>
    <h1 class="text-center">{{__('Translators workshop')}}</h1>
    <div class="row">
        <div class="col">
            <h2>{{__('Phrases')}}</h2>
            @foreach($phrases as $word)
                <a href="{{route('phrases.show', ['phrase' => $word])}}">
                    <p>{{ $word->general}}</p>
                </a>

            @endforeach
        </div>
    </div>
    @can('create-phrase')
    <div class="footer border p-5 rounded-2 border-3    ">
        <h3>{{__('Add phrase for translate')}}</h3>
        <form action="{{route("phrases.store")}}" method="post">
            @csrf
            <label for="word"></label>
            <input type="text" id="word" name="general">
            <button type="submit" class="btn btn-success">{{__('Add')}}</button>
        </form>
    </div>
    @endcan
@endsection

resources/views/phrases/show.blade.php
@extends('layouts.app')

@section('content')
    @include('notifications.alerts')
    <h2>{{$phrase->general}}</h2>
    <div class="row">
        <div class="col-6">
            <form action="{{route('phrases.update', ['phrase'=> $phrase])}}" method="post">
                @csrf
                @method('PUT')
                <div class="mb-3">
                    <label for="exampleInputPassword1" class="form-label">{{__('English')}}</label>
                    <input @if(!auth()->check()) disabled="disabled" @endif value="{{$phrase->translate('en')->word ?? ''}}" type="text" class="form-control" id="exampleInputPassword1" name="en[word]">
                </div>
                <div class="mb-3">
                    <label for="exampleInputPassword1" class="form-label">{{__('Kyrgyz')}}</label>
                    <input @if(!auth()->check()) disabled="disabled" @endif value="{{$phrase->translate('kg')->word ?? ''}}  " type="text" class="form-control" id="exampleInputPassword1" name="kg[word]">
                </div>
                <div class="mb-3">
                    <label for="exampleInputPassword1" class="form-label">{{__('Turkish')}}</label>
                    <input @if(!auth()->check()) disabled="disabled" @endif value="{{$phrase->translate('tr')->word ?? ''}}" type="text" class="form-control" id="exampleInputPassword1" name="tr[word]">
                </div>
                <div class="mb-3">
                    <label for="exampleInputPassword1" class="form-label">{{__('Germany')}}</label>
                    <input @if(!auth()->check()) disabled="disabled" @endif value="{{$phrase->translate('de')->word ?? ''}}" type="text" class="form-control" id="exampleInputPassword1" name="de[word]">
                </div>
                <div class="mb-3">
                    <label for="exampleInputPassword1" class="form-label">{{__('Spanish')}}</label>
                    <input @if(!auth()->check()) disabled="disabled" @endif value="{{$phrase->translate('es')->word ?? ''}}" type="text" class="form-control" id="exampleInputPassword1" name="es[word]">
                </div>
                @if(auth()->check())<button type="submit" class="btn btn-success">Сохранить</button>@endif
            </form>
        </div>
    </div>

    @endsection